//Script fr das Ein- oder Ausblenden von Objekteilen
//Nach Anleitung von Windwalker aus dem TrainzWiki
//umgebaut von hadotwe Mai2023

include "Buildable.gs"

class schild isclass Buildable {

   bool schildVisible;

   public void SetProperties(Soup soup) {
      inherited(soup);
      schildVisible = soup.GetNamedTagAsBool ("schild",false
      );
      SetMeshVisible("schild",schildVisible,1.0);
   }

  public Soup GetProperties(void) {
      Soup soup = inherited();
      soup.SetNamedTag("schild",schildVisible);
      return soup;
   } 

  public string GetDescriptionHTML(void) {
      string schildStatus = "Anzeigen";
      if (schildVisible) schildStatus = "Ausblenden";
      string html = inherited()
          + "<font size=5><br>"
          + "Turmname: <a href=live://property/schild>" + schildStatus + "</a><br>"
          + "</font>";
      return html;
   }

   public string GetPropertyType(string pID) {
      string result = inherited(pID);
      if (pID == "schild") result = "link";
      return result;
   }


   public void LinkPropertyValue(string pID) {
      if (pID == "schild") {
         schildVisible = !schildVisible;
         SetMeshVisible("schild",schildVisible,1.0);
      }
      else inherited(pID);
   }

};